{% extends "printable.html" %}
{% set result = object %}

{% block meta_title %}{{ result.user }}_{{ result.survey }}_{{ result.modification_date|datetime('%Y-%m-%d') }}{% endblock %}

{% block page_id %}{{super()}}results{% endblock %}

{% block container %}
<h1>{{ _("result_details.title") }}</h1>
<h2>{{ result.survey }} - {{ result.user }}</h2>
<time datetime="{{ object.modification_date }}">({{ result.modification_date|datetime }})</time>

<h2>{{ _("result_details.intro.title") }}</h2>
{{ _("result_details.intro.text")|markdown }}


<h2>{{ _("result_details.quantitative.title") }}</h2>

{{ _("result_details.quantitative.text")|markdown }}

<h3>{{ _("result_details.quantitative_scores.title") }}</h3>
<table>
    <thead>
        <tr>
            <th>{{ _("result_details.quantitative_scores.label.trait") }}</th>
            <th>{{ _("result_details.quantitative_scores.label.average_raw_score") }}</th>
            <th>{{ _("result_details.quantitative_scores.label.t_score") }}</th>
            <th>{{ _("result_details.quantitative_scores.label.percentile") }}</th>
        </tr>
    </thead>
    <tbody>
        {% for trait in result.survey.traits %}
        <tr {% if trait.is_maintrait %}class="maintrait"{% endif %}>
            <th>{{ _(trait.title) }}</th>
            <td>{{ result.get_average_raw_score(trait) }}</td>
            <td>{{ int(round(result.get_t_score(trait))) }}</td>
            <td>{{ result.get_percentile(trait).value }}%</td>
        </tr>
        {% endfor %}
    </tbody>
</table>


<h2>{{ _("result_details.qualitative.title") }}</h2>
{{ _("result_details.qualitative.text")|markdown }}


<h3>{{ _("result_details.temperament.title") }}</h3>
{{ _("result_details.temperament.text")|markdown }}


<h3>{{ _("result_details.temperament_scores.title") }}</h3>
<ul>
    {% for trait in result.survey.maintraits %}
    {% if trait.construct == 'temperament' %}
        {% set qualitative = result.get_raw_score_qualitative(trait) %}
        <li>
            <h4>{{ _(trait.title) }} - {{ _("result_details.qualitative_scores."|append(trait.abbreviation)|append(".")|append(qualitative)|append(".title")) }}</h4>
            <p>{% if qualitative %}
                {{ _("result_details.qualitative_scores."|append(trait.abbreviation)|append(".")|append(qualitative)|append(".body"))|markdown }}
               {% else %}
                {{ _("result_details.qualitative_scores.unavailable") }}
               {% endif %}
            </p>
        </li>
        {% endif %}
    {% endfor %}
</ul>
{{ _("result_details.temperament_scores.text")|markdown }}

<h3>{{ _("result_details.temperament_cube.title") }}</h3>
{{ result.temperament_type }}
<hr />

<h3>{{ _("result_details.character.title") }}</h3>
{{ _("result_details.character.text")|markdown }}

<h3>{{ _("result_details.character_scores.title") }}</h3>
<ul>
    {% for trait in result.survey.maintraits %}
    {% if trait.construct == 'character' %}
        {% set qualitative = result.get_raw_score_qualitative(trait) %}
        <li>
            <h4>{{ _(trait.title) }} - {{ _("result_details.qualitative_scores."|append(trait.abbreviation)|append(".")|append(qualitative)|append(".title")) }}</h4>
            <p>{% if qualitative %}
                {{ _("result_details.qualitative_scores."|append(trait.abbreviation)|append(".")|append(qualitative)|append(".body"))|markdown }}
               {% else %}
                {{ _("result_details.qualitative_scores.unavailable") }}
               {% endif %}
            </p>
        </li>
        {% endif %}
    {% endfor %}
</ul>

{{ _("result_details.character_scores.text")|markdown }}

<h3>{{ _("result_details.character_cube.title") }}</h3>
{{ result.character_type }}
<hr />

<h3>{{ _("result_details.validity.title") }}</h3>
<p>{{ _("result_details.validity.score (score, total)")|f(score=result.validity[0], total=result.validity[1]) }}</p>


{% endblock %}
